<?php require_once( 'couch/cms.php' ); ?>

<!DOCTYPE html>
<html lang="en">
<head>

</head>   
<body>
  <h1>Email Guardian Test Page</h1>
  <!-- change these parameters if you like-->
  <cms:email_guardian no_script_message="Javascript required to see this email" create_links="0">
    <p>1st <i>email guardian</i> tag.<br>
      This first tag does not convert free floating emails to mailto links, but obfuscates them nonetheless.</p>
    <ul>
      <li>Free floating email addresses:</li>
      <ul>
        <li>repeated_email@gmail.com</li>
        <li>çliçk@grøøvy.co.uk</li>
        <li>repeated_email@gmail.com</li>
        <li>test@ya.ru</li>
      </ul>
      <li>Mailto links:</li>
      <ul>
        <li><a href="mailto:repeated_mailto_link@gmail.com">repeated_mailto_link@gmail.com</a></li>
        <li><a href="mailto:repeated_mailto_link@gmail.com">repeated_mailto_link@gmail.com</a></li>
      </ul>
    </ul>
  </cms:email_guardian>
  <hr/>
  <cms:email_guardian>
    
    <p>This is the 2nd <i>email guardian</i> tag.<br/>
      There's something different about Hindi that I don't understand. The regex misses the Hindi email. Can anyone help with this?</p>
    <p>
      <cms:nl2br>
        <u>Non-latin:</u>
        用户@例子.广告 (Chinese, Unicode)
        --???--  अजय@डाटा.भारत (Hindi, Unicode)  --???-
        квіточка@пошта.укр (Ukrainian, Unicode)
        θσερ@εχαμπλε.ψομ (Greek, Unicode)
        Dörte@Sörensen.example.com (German, Unicode)
        коля@пример.рф (Russian, Unicode)
        
        <u>Weird but valid email addresses:</u>
        user+mailbox/department=shipping@example.com
        !#$%&'*+-/=?^_`.{|}~@example.com
        "Abc@def"@example.com
        "Fred Bloggs"@example.com
        "Joe.\\Blow"@example.com
        weird_tld@rfrv.DX--1sj3j2j5m
        
        <u>Complex mailto link with querystring:</u>
        <a href='mailto:friend@møria.com?subject=Welcome%20to%20Moria&amp;body=Thanks%20for%20visiting%20Moria.%20We%20hope%20you%20enjoy%20your%20stay.%20Mind%20the%20Balrog.'><i></i>friend@møria.com</a> (Link with query parameters)
        <a href="mailto:jøe@møria.com">j&oslash;e@m&oslash;ria.com</a> (ASCII character codes inserted by ckeditor)
        
        <u>@usernames:</u>
        Hit me up!:@twitter || Check me out{@insta}
      </cms:nl2br>
    </p>
  </cms:email_guardian>
  
  <hr/>
  <p>This is the 3rd <i>email guardian</i> tag.</p>
  <p>
    <cms:email_guardian>
      <cms:nl2br>
        repeated_email@gmail.com (plaintext repeated email)
    <a href="mailto:repeated_email@gmail.com" >repeated_email@gmail.com</a> (mailto link with repeated email)
    <a href="mailto:mailto:test@ya.ru" >mailto:mailto:test@ya.ru</a> (malformed mailto link - tough luck)
        Click here to <a href="mailto:test@ya.ru" >email me</a>! (mailto link)
        or just test@ya.ru (plaintext email)
      </cms:nl2br>
    </cms:email_guardian>
  </p>
  <hr/>

  <h2>Problem with <i>cms:cloak_email</i></h2>
  <p>Nested <i>cms:cloak_email</i> tag breaks PHP's <i>strip_tags</i> function. Don't use <i>cms:cloak_email</i> inside of the <i>cms:email_guardian</i> tag.</p>
  <cms:email_guardian>
  <p>This is the 4th <i>email guardian</i> tag.</p>
    <p>These free floating emails are processesed:</p>
    <ul>
      <li>repeated_email@gmail.com</li>
      <li>çliçk@grøøvy.co.uk</li>
      <li>repeated_email@gmail.com</li>
      <li>test@ya.ru</li>
    </ul>
    
    <p><cms:cloak_email email="cloaked_email@couch.com"/></p>
    <p>But after <i>cms:cloak_email</i> these are not:</p>
    <ul>
      <li>repeated_email@gmail.com</li>
      <li>çliçk@grøøvy.co.uk</li>
      <li>repeated_email@gmail.com</li>
      <li>test@ya.ru</li>
      <li>mailto links are unaffected:</li>
      <ul>
      <li><a href='mailto:friend@moria.com?subject=Welcome%20to%20Moria&amp;body=Thanks%20for%20visiting%20Moria.%20We%20hope%20you%20enjoy%20your%20stay.%20Mind%20the%20Balrog.'>friend@moria.com</a></li>
      <li><a href="mailto:repeated_mailto_link@gmail.com">repeated_mailto_link@gmail.com</a></li>
      </ul>
    </ul>
  </cms:email_guardian>
  
</body>
</html>

<?php COUCH::invoke(); ?>
